{"openapi":"3.0.0","servers":[{"description":"SwaggerHub API Auto Mocking","url":"https://virtserver.swaggerhub.com/tommyjr1/23-1_CodeCat/1.0.0"}],"info":{"version":"1.0.0","title":"23-1 CodeCat API Docs","description":"23-1학기 7조 프로젝트 API 문서."},"tags":[{"name":"user"},{"name":"problem"},{"name":"solved"},{"name":"suggestedquestion"},{"name":"chatlog"}],"paths":{"/user/info":{"get":{"summary":"유저 정보 반환","description":"유저아이디를 통해 그 유저의 정보 받기","tags":["user"],"parameters":[{"name":"userid","description":"유저아이디","in":"query","schema":{"type":"string"}}],"responses":{"200":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/User"}}},"description":"유저 정보"}}}},"/problem/info":{"get":{"summary":"문제 정보 반환","description":"문제아이디를 통해 그 문제의 정보 받기","tags":["problem"],"parameters":[{"name":"problemid","description":"문제아이디","in":"query","schema":{"type":"number"}}],"responses":{"200":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/Problem"}}},"description":"문제 정보"}}}},"/problem/problemlist":{"get":{"summary":"모든문제 제목리스트 반환","tags":["problem"],"responses":{"200":{"description":"문제제목 리스트 반환","content":{"application/json":{"schema":{"type":"array","items":{"type":"object","properties":{"id":{"type":"number"},"title":{"type":"string"}}}}}}}}}},"/solved/update":{"put":{"summary":"유저의 해당문제 풀이상태 추가/업데이트","tags":["solved"],"parameters":[{"name":"userid","description":"유저아이디","in":"query","schema":{"type":"number"}},{"name":"problemid","description":"문제아이디","in":"query","schema":{"type":"number"}},{"name":"status","description":"문제풀이상태","in":"query","schema":{"type":"number"}}],"responses":{"200":{"description":"추가/업데이트 완료"}}}},"/solved/solvedlist":{"get":{"summary":"유저가 풀어본 문제리스트 반환","tags":["solved"],"parameters":[{"name":"userid","description":"유저아이디","in":"query","schema":{"type":"number"}}],"responses":{"200":{"description":"문제리스트 반환","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/Solved"}}}}}}}},"/suggested/questionlist":{"get":{"summary":"해당 문제의 전체 추천질문 리스트 반환","description":"문제아이디를 통해 그 문제의 추천질문 정보 받기","tags":["suggestedquestion"],"parameters":[{"name":"problemid","description":"문제아이디","in":"query","schema":{"type":"number"}}],"responses":{"200":{"content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/SuggestedQuestion"}}}},"description":"해당문제의 추천질문 리스트"}}}},"/chatlog/chatlist":{"get":{"summary":"유저가 해당 문제에서 질문한 채팅 리스트 반환","description":"solvedid를 통해 그 문제의 채팅 리스트 받기","tags":["chatlog"],"parameters":[{"name":"solvedid","description":"solved아이디","in":"query","schema":{"type":"number"}}],"responses":{"200":{"content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/Chatlog"}}}},"description":"해당문제의 전체채팅 리스트"}}}}},"components":{"schemas":{"User":{"type":"object","required":["userid","password","nickname","createdAt","updatedAt","isAdmin"],"properties":{"id":{"type":"number"},"userid":{"type":"string"},"password":{"type":"string"},"nickname":{"type":"string"},"createdAt":{"type":"string","format":"date"},"updatedAt":{"type":"string","format":"date"},"isAdmin":{"type":"boolean"}}},"Problem":{"type":"object","required":["title","answer","createdAt","updatedAt","hidden"],"properties":{"id":{"type":"number"},"title":{"type":"string"},"content":{"type":"string"},"answer":{"type":"string"},"createdAt":{"type":"string","format":"date"},"updatedAt":{"type":"string","format":"date"},"hidden":{"type":"boolean"}}},"Solved":{"type":"object","required":["userid","problemid","status"],"properties":{"id":{"type":"number"},"userid":{"type":"number"},"problemid":{"type":"number"},"status":{"type":"number"}}},"SuggestedQuestion":{"type":"object","required":["problemid","content"],"properties":{"id":{"type":"number"},"problemid":{"type":"number"},"content":{"type":"string"},"answer":{"type":"string"}}},"Chatlog":{"type":"object","required":["solvedid","createdAt","content"],"properties":{"id":{"type":"number"},"solvedid":{"type":"number"},"createdAt":{"type":"string","format":"date"},"content":{"type":"string"}}}},"securitySchemes":{"application":{"type":"oauth2","flows":{"clientCredentials":{"tokenUrl":"http://example.com/oauth/token","scopes":{"write":"allows modifying resources","read":"allows reading resources"}}}}}}}